[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# StartOfAMonth

Return first date of month, given a year/month pair.

## Declaration

Source position: dateutil.inc line 158

`function StartOfAMonth(`
`const AYear: Word;`
`const AMonth: Word`
`):TDateTime;`

## Arguments

`AYear` |  | A year.
`AMonth` |  | Month in the year.

## Function result

First day of the month AMonth in AYear

## Description

StartOfAMonth e returns a TDateTime value with the date of the first day of the month indicated by the AYear, AMonth pair.

## See also

StartOfTheMonth |  | Calculate the first day of the month, given a date in that month.
EndOfTheMonth |  | Calculate a TDateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a TDateTime value representing the last day of the indicated month
EndOfTheYear |  | Calculate a TDateTime value representing the last day of a year, given a date in that year.
EndOfAYear |  | Calculate a TDateTime value representing the last day of a year
StartOfAWeek |  | Return a day of the week, given a year, week and day in the week.
StartOfTheWeek |  | Return the first day of the week, given a date.

## Example

    Program Example30;

    { This program demonstrates the StartOfAMonth function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"First day of this month : "dd mmmm yyyy';
    Var
      Y,M : Word;

    Begin
      Y:=YearOf(Today);
      M:=MonthOf(Today);
      Writeln(FormatDateTime(Fmt,StartOfAMonth(Y,M)));
    End.